Parse srt et ass pour séparer toutes les lignes.

pom.xml 4.4KB

    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"> <modelVersion>4.0.0</modelVersion> <groupId>fr.waazaa.libs.subparser</groupId> <artifactId>SubParser</artifactId> <version>1.0</version> <name>SubParser</name> <repositories> <repository> <id>maven-central</id> <url>http://repo.maven.apache.org/maven2</url> </repository> <repository> <id>local-repo</id> <url>http://192.168.0.32:8080/repository</url> </repository> </repositories> <properties> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> </properties> <build> <plugins> <!-- On nettoie le dossier de sortie des anciennes versions du jar --> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-antrun-plugin</artifactId> <version>1.7</version> <executions> <execution> <phase>test</phase> <goals> <goal>run</goal> </goals> <configuration> <target> <delete> <fileset dir="D:\Workspace\PircBotX-2.1\IrcBotX\plugins\" includes="${project.artifactId}*.jar" /> </delete> </target> </configuration> </execution> </executions> </plugin> <!-- On définie pour quelle version java on a normé --> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-compiler-plugin</artifactId> <version>2.0.2</version> <configuration> <source>1.5</source> <target>1.5</target> </configuration> </plugin> <!-- On précise qu'on veut charger les libs --> <plugin> <artifactId>maven-dependency-plugin</artifactId> <executions> <execution> <phase>install</phase> <goals> <goal>copy-dependencies</goal> </goals> <configuration> <outputDirectory>${project.build.directory}/lib</outputDirectory> </configuration> </execution> </executions> </plugin> <!-- On inclut les dépendances --> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-shade-plugin</artifactId> <executions> <execution> <phase>package</phase> <goals> <goal>shade</goal> </goals> </execution> </executions> <configuration> <minimizeJar>true</minimizeJar> <finalName>${project.artifactId}-${project.version}</finalName> </configuration> </plugin> </plugins> <resources> <resource> <directory>src/main/resources</directory> </resource> </resources> </build> <dependencies> <dependency> <groupId>com.google.guava</groupId> <artifactId>guava</artifactId> <version>19.0</version> </dependency> <!-- https://mvnrepository.com/artifact/commons-io/commons-io --> <dependency> <groupId>commons-io</groupId> <artifactId>commons-io</artifactId> <version>2.5</version> <type>jar</type> </dependency> <dependency> <groupId>org.shortrip.boozaa.libs.yamlconfiguration</groupId> <artifactId>YAMLConfiguration</artifactId> <version>1.0</version> </dependency> </dependencies> </project>